<div class="input-container text-area-box" *ngIf="inputForm" [formGroup]="inputForm">
  <label>
    {{ label }}
    <!-- <span *ngIf="validation" class="validation-star">*</span> -->
    <span *ngIf="!required" class="chosen">(اختیاری)</span>
  </label>
  <h5 *ngIf="mode === 'view'; else modeForm">
    {{ inputForm.value[inputName] }}
  </h5>

  <ng-template #modeForm>
    <mat-form-field appearance="outline" class="input-outline">
      <textarea
        matInput
        rows="5"
        [formControlName]="inputName"
        [placeholder]="placeholder"
      ></textarea>

      <mat-error
      *ngIf="
        inputForm.controls[inputName].touched &&
        inputForm.controls[inputName]['errorMessage']
      "
      class="input-container__error"
    >
      <svg
        aria-hidden="true"
        class="stUf5b qpSchb"
        fill="currentColor"
        focusable="false"
        width="16px"
        height="16px"
        viewBox="0 0 24 24"
        xmlns="https://www.w3.org/2000/svg"
      >
        <path
          d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z"
        ></path>
      </svg>
      <span class="geterror">{{ getErrors() }}</span>
    </mat-error>
    </mat-form-field>
  </ng-template>
</div>
